Bug 813412 - NPE when viewing diagram of a process that has a swimlane task
NPE when viewing diagram of a process that has a swimlane task
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ER7
: BRMS 5.3.0.GA
Assigned To: Maciej Swiderski
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 13:06 EDT by Jiri Locker
Modified: 2012-05-27 21:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log (4.64 KB, text/plain)
2012-04-17 13:06 EDT, Jiri Locker
no flags Details
defaultPackage.Swim.bpmn2 (4.84 KB, application/xml)
2012-04-17 13:16 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-04-17 13:06:11 EDT
Created attachment 578110 [details]
server.log

Version-Release number of selected component (if applicable):
ER5

How reproducible:
always

Steps to Reproduce:
1. import the attached process into Guvnor (defaultPackage)
2. save the process, generate froms and PNG diagram
3. build the package
4. in jbpm-console, start Swim process
5. click Diagram button while the new process instance is selected
  
Actual results:
org.jboss.resteasy.spi.UnhandledException: java.lang.NullPointerException

Expected results:
Process instance diagram should be displayed.
Comment 1 Jiri Locker 2012-04-17 13:16:32 EDT
Created attachment 578111 [details]
defaultPackage.Swim.bpmn2
Comment 2 Kris Verlaenen 2012-04-20 11:19:03 EDT
Looking at the stack trace, it seems that the diagram info that used in this case is null.  So it doesn't seem to be able to find the process in question.
Comment 3 Maciej Swiderski 2012-04-23 05:13:55 EDT
Here is a pull request for this issue: https://github.com/droolsjbpm/jbpm/pull/91
Comment 4 Maciej Swiderski 2012-04-27 05:57:34 EDT
merged into master and 5.2.x
Comment 5 Ryan Zhang 2012-05-14 04:17:23 EDT
The fixed for this issue should be included in ER7. Please do verification on it.

Note You need to log in before you can comment on or make changes to this bug.